Sehat_COVID-19/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('hospital/', include('hospital.urls')),
    path('datars/', include('datars.urls')),
    path('pasiennonrawat/', include('pasien_nonrawat.urls')),
    path('pasienrawat/', include('pasien_rawat.urls')),
    path('', include('authentications.urls')),
    path('', include('django.contrib.auth.urls'))

] + static(settings.MEDIA_URL, document_root = settings.MEDIA_ROOT)

hospital/urls.py
from django.conf.urls import url
from django.urls import path
from .views import *

app_name = 'hospital'

urlpatterns = [
	path('', index, name = 'hospital-index'),
	path('rspasienrawat/', rspasienrawat, name = 'hospital-rspasienrawat'),
	path('getrspasienrawat/', getrspasienrawat, name = 'hospital-getrspasienrawat'),
	path('rspasienrawat/<str:nama_rs>/daftarpasien/', daftarpasienrawat, name = 'hospital-daftarpasienrawat'),
	path('rspasienrawat/<str:nama_rs>/daftarpasien/getdaftarpasien', getdaftarpasienrawat, name = 'hospital-getdaftarpasienrawat'),
	
	path('rspasienperiksa/', rspasienperiksa, name= 'hospital-rspasienperiksa'),
	path('getrspasienperiksa/', getrspasienrawat, name = 'hospital-getrspasienrawat'),
	path('rspasienperiksa/<str:nama_rs>/daftarpasien/', daftarpasienperiksa, name= 'hospital-daftarpasienperiksa'),
	path('rspasienrawat/<str:nama_rs>/daftarpasien/getdaftarpasien', getdaftarpasienrawat, name = 'hospital-getdaftarpasienrawat'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='main-home'),
    path('save',views.save),
    path('testiform', views.testiform, name='testiform'),
    path('testiform_acc', views.testiform_acc, name='testiform_acc')
    
]

pasien_nonrawat/urls.py
from django.urls import path
from . import views

app_name = 'pasien_nonrawat'

urlpatterns = [
    path('', views.pasiennonrawat, name='pasien_nonrawat-index'),
    path('savepatient', views.savepatient, name='pasien_nonrawat-savepatient'),
    #path('patientnonrawat-data', views.datapatient, name='pasien_nonrawat-data')
]

pasien_rawat/urls.py
from django.contrib import admin
from django.urls import path
from .views import index, submit_form

app_name = 'pasien_rawat'

urlpatterns = [
    path('', index, name='pasien_rawat-index'),
    path('submitform', submit_form, name='pasien_rawat-submitform'),
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    {% block meta %}
    {% endblock meta %}
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light color-1">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">
          <img id="nav-logo" src="{% static 'img/navlogo.png' %}" alt="navbar brand">
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/">Home</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Patient
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'pasien_rawat:pasien_rawat-index' %}">Pasien Rawat</a></li>
                <li><a class="dropdown-item" href="{% url 'pasien_nonrawat:pasien_nonrawat-index' %}">Pasien Pemeriksaan</a></li>
              </ul>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'hospital:hospital-index' %}">Hospital</a>
            </li>
            <li class="nav-item">
              {% if user.is_authenticated %}
                <a class="nav-link" href="/logout">Log Out</a>
              {% else %}
                <a class="nav-link" href="/login">Log In</a>
              {% endif %}
            </li>
    
            <li class="nav-item">
              {% if not user.is_authenticated %}
                <a class="nav-link" href="/register">Create Account</a>
              {% endif %}
              
            </li>
          </ul>
          {% if user.is_authenticated %}
            <span class="navbar-text">
              Hello, {{ request.user.username }}
            </span>
          {% endif %}
          </ul>
        </div>
      </div>
    </nav>
    {% block content %}
    {% endblock content %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
    <script src = "{% static 'js/jquery-3.5.1.min.js' %}"></script>
    {% block javascript %}
    {% endblock javascript %}
  </body>
</html>